summaryrefslogtreecommitdiffstats
path: root/.gitlab
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2021-01-26 21:45:56 (GMT)
committerBrad King <brad.king@kitware.com>2021-01-27 16:59:54 (GMT)
commit430224b6e8406527b4424e62d9edad24dfc386ac (patch)
tree9577f6bc3b241fcb070f2785b8c33f0dd90e514e /.gitlab
parent300a91d42d1829f053db0bba2443445eadc3aee8 (diff)
downloadCMake-430224b6e8406527b4424e62d9edad24dfc386ac.zip
CMake-430224b6e8406527b4424e62d9edad24dfc386ac.tar.gz
CMake-430224b6e8406527b4424e62d9edad24dfc386ac.tar.bz2
gitlab-ci: add test:debian10-aarch64-ninja job
Diffstat (limited to '.gitlab')
-rw-r--r--.gitlab/ci/configure_debian10_aarch64_ninja.cmake65
-rw-r--r--.gitlab/ci/docker/debian10-aarch64/Dockerfile5
-rwxr-xr-x.gitlab/ci/docker/debian10-aarch64/install_deps.sh71
-rw-r--r--.gitlab/os-linux.yml22
4 files changed, 163 insertions, 0 deletions
diff --git a/.gitlab/ci/configure_debian10_aarch64_ninja.cmake b/.gitlab/ci/configure_debian10_aarch64_ninja.cmake
new file mode 100644
index 0000000..12d0e02
--- /dev/null
+++ b/.gitlab/ci/configure_debian10_aarch64_ninja.cmake
@@ -0,0 +1,65 @@
+set(CMake_TEST_FindALSA "ON" CACHE BOOL "")
+set(CMake_TEST_FindBLAS "ON" CACHE BOOL "")
+set(CMake_TEST_FindBoost "ON" CACHE BOOL "")
+set(CMake_TEST_FindBoost_Python "ON" CACHE BOOL "")
+set(CMake_TEST_FindBZip2 "ON" CACHE BOOL "")
+set(CMake_TEST_FindCups "ON" CACHE BOOL "")
+set(CMake_TEST_FindCURL "ON" CACHE BOOL "")
+set(CMake_TEST_FindDoxygen_Dot "ON" CACHE BOOL "")
+set(CMake_TEST_FindDoxygen "ON" CACHE BOOL "")
+set(CMake_TEST_FindEXPAT "ON" CACHE BOOL "")
+set(CMake_TEST_FindFontconfig "ON" CACHE BOOL "")
+set(CMake_TEST_FindFreetype "ON" CACHE BOOL "")
+set(CMake_TEST_FindGDAL "ON" CACHE BOOL "")
+set(CMake_TEST_FindGIF "ON" CACHE BOOL "")
+set(CMake_TEST_FindGit "ON" CACHE BOOL "")
+set(CMake_TEST_FindGLEW "ON" CACHE BOOL "")
+set(CMake_TEST_FindGnuTLS "ON" CACHE BOOL "")
+set(CMake_TEST_FindGSL "ON" CACHE BOOL "")
+set(CMake_TEST_FindGTest "ON" CACHE BOOL "")
+set(CMake_TEST_FindGTK2 "ON" CACHE BOOL "")
+set(CMake_TEST_FindIconv "ON" CACHE BOOL "")
+set(CMake_TEST_FindIntl "ON" CACHE BOOL "")
+set(CMake_TEST_FindJPEG "ON" CACHE BOOL "")
+set(CMake_TEST_FindJsonCpp "ON" CACHE BOOL "")
+set(CMake_TEST_FindLAPACK "ON" CACHE BOOL "")
+set(CMake_TEST_FindLibArchive "ON" CACHE BOOL "")
+set(CMake_TEST_FindLibinput "ON" CACHE BOOL "")
+set(CMake_TEST_FindLibLZMA "ON" CACHE BOOL "")
+set(CMake_TEST_FindLibUV "ON" CACHE BOOL "")
+set(CMake_TEST_FindLibXml2 "ON" CACHE BOOL "")
+set(CMake_TEST_FindLibXslt "ON" CACHE BOOL "")
+set(CMake_TEST_FindMPI_C "ON" CACHE BOOL "")
+set(CMake_TEST_FindMPI_CXX "ON" CACHE BOOL "")
+set(CMake_TEST_FindMPI_Fortran "ON" CACHE BOOL "")
+set(CMake_TEST_FindMPI "ON" CACHE BOOL "")
+set(CMake_TEST_FindODBC "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenACC "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenGL "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenMP_C "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenMP_CXX "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenMP_Fortran "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenMP "ON" CACHE BOOL "")
+set(CMake_TEST_FindOpenSSL "ON" CACHE BOOL "")
+set(CMake_TEST_FindPatch "ON" CACHE BOOL "")
+set(CMake_TEST_FindPNG "ON" CACHE BOOL "")
+set(CMake_TEST_FindPostgreSQL "ON" CACHE BOOL "")
+set(CMake_TEST_FindProtobuf "ON" CACHE BOOL "")
+set(CMake_TEST_FindPython "ON" CACHE BOOL "")
+set(CMake_TEST_FindPython_NumPy "ON" CACHE BOOL "")
+set(CMake_TEST_FindPython_PyPy "ON" CACHE BOOL "")
+set(CMake_TEST_FindRuby "ON" CACHE BOOL "")
+set(CMake_TEST_FindSDL "ON" CACHE BOOL "")
+set(CMake_TEST_FindSQLite3 "ON" CACHE BOOL "")
+set(CMake_TEST_FindTIFF "ON" CACHE BOOL "")
+set(CMake_TEST_FindX11 "ON" CACHE BOOL "")
+set(CMake_TEST_FindXalanC "ON" CACHE BOOL "")
+set(CMake_TEST_FindXercesC "ON" CACHE BOOL "")
+set(CMake_TEST_Fortran_SUBMODULES "ON" CACHE BOOL "")
+set(CMake_TEST_IPO_WORKS_C "ON" CACHE BOOL "")
+set(CMake_TEST_IPO_WORKS_CXX "ON" CACHE BOOL "")
+set(CMake_TEST_IPO_WORKS_Fortran "ON" CACHE BOOL "")
+set(CMake_TEST_Qt5 "ON" CACHE BOOL "")
+set(CMake_TEST_UseSWIG "ON" CACHE BOOL "")
+
+include("${CMAKE_CURRENT_LIST_DIR}/configure_external_test.cmake")
diff --git a/.gitlab/ci/docker/debian10-aarch64/Dockerfile b/.gitlab/ci/docker/debian10-aarch64/Dockerfile
new file mode 100644
index 0000000..2079795
--- /dev/null
+++ b/.gitlab/ci/docker/debian10-aarch64/Dockerfile
@@ -0,0 +1,5 @@
+FROM arm64v8/debian:10
+MAINTAINER Brad King <brad.king@kitware.com>
+
+COPY install_deps.sh /root/install_deps.sh
+RUN sh /root/install_deps.sh
diff --git a/.gitlab/ci/docker/debian10-aarch64/install_deps.sh b/.gitlab/ci/docker/debian10-aarch64/install_deps.sh
new file mode 100755
index 0000000..3fc67e8
--- /dev/null
+++ b/.gitlab/ci/docker/debian10-aarch64/install_deps.sh
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+set -e
+
+apt-get update
+
+# Install build requirements.
+apt-get install -y \
+ libssl-dev
+
+# Install development tools.
+apt-get install -y \
+ g++ \
+ curl \
+ git
+
+# Install iwyu runtime deps.
+apt-get install -y \
+ clang-6.0 \
+ libncurses6
+
+# Packages needed to test find modules.
+apt-get install -y \
+ alsa-utils \
+ doxygen graphviz \
+ gnutls-dev \
+ libarchive-dev \
+ libblas-dev \
+ libboost-dev \
+ libboost-filesystem-dev \
+ libboost-program-options-dev \
+ libboost-python-dev \
+ libboost-thread-dev \
+ libbz2-dev \
+ libcups2-dev \
+ libcurl4-gnutls-dev \
+ libfontconfig1-dev \
+ libfreetype6-dev \
+ libgdal-dev \
+ libgif-dev \
+ libgl1-mesa-dev \
+ libglew-dev \
+ libgsl-dev \
+ libgtest-dev \
+ libgtk2.0-dev \
+ libinput-dev \
+ libjpeg-dev \
+ libjsoncpp-dev \
+ liblapack-dev \
+ liblzma-dev \
+ libopenmpi-dev openmpi-bin \
+ libpng-dev \
+ libpq-dev postgresql-server-dev-11 \
+ libprotobuf-dev libprotobuf-c-dev libprotoc-dev protobuf-compiler \
+ libsdl-dev \
+ libsqlite3-dev \
+ libtiff-dev \
+ libuv1-dev \
+ libx11-dev \
+ libxalan-c-dev \
+ libxerces-c-dev \
+ libxml2-dev libxml2-utils \
+ libxslt-dev xsltproc \
+ python2 python2-dev python-numpy pypy pypy-dev \
+ python3 python3-dev python3-numpy pypy3 pypy3-dev python3-venv \
+ qtbase5-dev qtbase5-dev-tools \
+ ruby ruby-dev \
+ swig \
+ unixodbc-dev
+
+apt-get clean
diff --git a/.gitlab/os-linux.yml b/.gitlab/os-linux.yml
index 28bfbc5..e36d97d 100644
--- a/.gitlab/os-linux.yml
+++ b/.gitlab/os-linux.yml
@@ -47,6 +47,13 @@
CTEST_NO_WARNINGS_ALLOWED: 1
CMake_SKIP_INSTALL: 1
+.debian10_aarch64:
+ image: "kitware/cmake:ci-debian10-aarch64-2021-01-26"
+
+ variables:
+ GIT_CLONE_PATH: "$CI_BUILDS_DIR/cmake ci"
+ CMAKE_ARCH: aarch64
+
### Fedora
.fedora33:
@@ -91,6 +98,13 @@
CMAKE_CONFIGURATION: debian10_ninja
CTEST_NO_WARNINGS_ALLOWED: 1
+.debian10_aarch64_ninja:
+ extends: .debian10_aarch64
+
+ variables:
+ CMAKE_CONFIGURATION: debian10_aarch64_ninja
+ CTEST_NO_WARNINGS_ALLOWED: 1
+
.fedora33_ninja:
extends: .fedora33
@@ -170,6 +184,14 @@
- docker
- linux-aarch64
+.linux_builder_tags_aarch64_qt:
+ tags:
+ - cmake
+ - build
+ - docker
+ - linux-aarch64
+ - linux-3.17 # Needed to be able to load Fedora's Qt libraries.
+
## Linux-specific scripts
.before_script_linux: &before_script_linux